<%#-- copyright
Nepenthes is a free and open project management software.
Copyright (C) 2024 The Nirvati developers

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License version 3.

Nepenthes is a fork of OpenProject. The copyright follows:

Copyright (C) 2012-2024 the OpenProject GmbH

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License version 3.

OpenProject is a fork of ChiliProject, which is a fork of Redmine. The copyright follows:
Copyright (C) 2006-2013 Jean-Philippe Lang
Copyright (C) 2010-2013 the ChiliProject Team

This program is free software; you can redistribute it and/or
modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2
of the License, or (at your option) any later version.

This program is distributed in the hope that it will be useful,
but WITHOUT ANY WARRANTY; without even the implied warranty of
MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with this program; if not, write to the Free Software
Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.

See COPYRIGHT and LICENSE files for more details.

++#%>

<div class="generic-table--container <%= container_class %>" data-test-selector="<%= test_selector %>">
  <div class="generic-table--results-container">
    <table class="generic-table">
      <colgroup>
        <% headers.each do |_name, _options| %>
          <col opHighlightCol>
        <% end %>
        <col>
      </colgroup>
      <thead>
        <tr>
          <% headers.each do |name, options| %>
            <% if sortable_column?(name) %>
              <%= helpers.sort_header_tag name, options %>
            <% else %>
              <th>
                <div class="generic-table--sort-header-outer">
                  <div class="generic-table--sort-header">
                    <span>
                      <%= options[:caption] %>
                    </span>
                  </div>
                </div>
              </th>
            <% end %>
          <% end %>
          <th>
            <%# last column for buttons %>
            <div class="generic-table--empty-header"></div>
          </th>
        </tr>
      </thead>
      <tbody>
        <% if rows.empty? %>
        <tr class="generic-table--empty-row">
          <td colspan="<%= headers.length + 1 %>"><%= empty_row_message %></td>
        </tr>
        <% end %>
        <%= render_collection rows %>
      </tbody>
    </table>
    <% if inline_create_link %>
      <div class="wp-inline-create-button">
        <%= inline_create_link %>
      </div>
    <% end %>
  </div>
</div>
<% if paginated? %>
  <%= helpers.pagination_links_full rows %>
<% end %>
